Docs
Platforms
GET
/platforms

Every platform FeedHorizon knows, available ones first.

Works with any valid API key.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://feedhorizon.com/api/v1/platforms"
{
  "data": [
    {
      "id": "twitter",
      "name": "string",
      "available": true,
      "maxTextLength": 0,
      "maxMediaCount": 0,
      "supportedMediaTypes": [
        "string"
      ]
    }
  ],
  "nextCursor": "string"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "invalid_cursor",
    "message": "cursor is not a value the API returned as nextCursor",
    "docUrl": "https://feedhorizon.com/docs/api/errors#invalid_request_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No Authorization: Bearer header",
    "docUrl": "https://feedhorizon.com/docs/api/errors#authentication_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "rate_limit_error",
    "code": "rate_limited",
    "message": "Too many requests. Wait the seconds in Retry-After",
    "docUrl": "https://feedhorizon.com/docs/api/errors#rate_limit_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "Something failed on our side. Retry with backoff, using the same Idempotency-Key for writes",
    "docUrl": "https://feedhorizon.com/docs/api/errors#api_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}